| GET | /RestApi/sitefinity/related-data/child-items |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class ParentItemMessage
{
open var ParentItemId:String? = null
open var ParentItemType:String? = null
open var ParentProviderName:String? = null
open var FieldName:String? = null
open var Status:ContentLifecycleStatus? = null
open var Filter:String? = null
open var Order:String? = null
open var Skip:Int? = null
open var Take:Int? = null
open var ChildItemType:String? = null
open var ChildProviderName:String? = null
}
enum class ContentLifecycleStatus(val value:Int)
{
Master(0),
Temp(1),
Live(2),
Deleted(4),
PartialTemp(8),
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/related-data/child-items HTTP/1.1 Host: www.imglobal.com Accept: text/csv